about summary refs log tree commit diff homepage
path: root/.travis/stp.sh
diff options
context:
space:
mode:
authorDan Liew <daniel.liew@imperial.ac.uk>2017-03-30 14:49:16 +0100
committerDan Liew <daniel.liew@imperial.ac.uk>2017-03-30 14:49:16 +0100
commit31d7fa412c673d2e2b0f9fe2abf32afa1b105d5e (patch)
tree769509fcc09120092d307c26ba92b07228ea3118 /.travis/stp.sh
parent58c5132f82112d2ceef3b676e0bd04f04c940b69 (diff)
downloadklee-31d7fa412c673d2e2b0f9fe2abf32afa1b105d5e.tar.gz
[TravisCI] Make handling of `TRAVIS_OS_NAME` more robust by not assuming
that its value not being `linux` implies `osx`.
Diffstat (limited to '.travis/stp.sh')
-rwxr-xr-x.travis/stp.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/.travis/stp.sh b/.travis/stp.sh
index 412f7613..0112ae31 100755
--- a/.travis/stp.sh
+++ b/.travis/stp.sh
@@ -21,10 +21,13 @@ if [ "x${STP_VERSION}" != "x" ]; then
     CFLAGS="${SANITIZER_C_FLAGS}" \
     CXXFLAGS="${SANITIZER_CXX_FLAGS}" \
     cmake -DCMAKE_INSTALL_PREFIX=/usr ..
-  else # OSX
+  elif [[ "${TRAVIS_OS_NAME}" == "osx" ]]; then
     CFLAGS="${SANITIZER_C_FLAGS}" \
     CXXFLAGS="${SANITIZER_CXX_FLAGS}" \
     cmake -DCMAKE_INSTALL_PREFIX=/usr/local ..
+  else
+    echo "Unhandled TRAVIS_OS_NAME \"${TRAVIS_OS_NAME}\""
+    exit 1
   fi
   make
   sudo make install